Bug 74461 - (SOUND CMPCI)Asus A7M266-D onboard C-Media 8738 sound problem
(SOUND CMPCI)Asus A7M266-D onboard C-Media 8738 sound problem
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2002-09-24 16:03 EDT by Jim Shanks
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Shanks 2002-09-24 16:03:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
The onboard C-Media 8738 on the Asus A7M266-D (AMD-760MPX) motherboard is
identified correctly, however volume control of the CD-ROM, Line-In, Aux-In does
not work.  No sound is heard through these devices.  Also, no option for
surround sound (4 speaker) is available even though the driver seems to have the
option.  The sound works OK on the same system with Windows XP Pro.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install Null Beta 7.3.94
2.Detect the sound card (Test sound plays OK)
3.Play an audio CD and try to adjust the sound level

Actual Results:  No sound is heard from the audio CD at any volume level even
though it is playing.

Expected Results:  Should hear and be able to adjust volume level.

Additional info:

C-Media has the Linux drivers for the C-Media sound chips on their website:

This appears to be a newer driver than the one included with Red Hat Null, I'm
not sure if this one will work better or not.
Comment 1 Brent Fox 2002-11-22 13:25:50 EST
I'm going to reassign this to the kernel since it seems to be a driver problem.
 The card is in the hwdata database and the module seems to be loaded but just
not doing the right thing.
Comment 2 Alan Cox 2003-06-05 15:20:35 EDT
This sounds like a system with the analogue audio cable between the cd /
mainboard not fitted
Windows XP uses digital audio ripping so wouldnt need it.
Comment 3 Jim Shanks 2003-06-05 16:30:54 EDT
I can assure you that the analog cable is fitted and working.  The CD-Audio 
works both in digital and analog mode under XP.  Infact the analog setting 
actually sounds better (Go figure).  It should also be noted that the line-in 
and Aux-in don't work under RedHat 8.0, but do work under Windows.  As this is 
my test system, I'm going to try installing RH9 and if that doesn't work, I'll 
install a generic kernel to test it.
Comment 4 Alan Cox 2003-06-05 18:09:04 EDT
Thanks. Let me know what you find out, and now I know its not a simple case of
cabling I'll dig deeper
Comment 5 Bugzilla owner 2004-09-30 11:39:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.